import '../../styles/thread/PreviewThread.css';
import { translate } from '../../helpers/time-util';
import { Link } from 'react-router-dom';

export default function PreviewThread(props) {
  const { content } = props;
  const time = translate(content.inserted_at);
  return (
    <div id="threadCard">
      <div id="threadCardHeader">
        <h2 id="judul">
          <b>{content.title}</b>
        </h2>
      </div>
      <p id="topic">{content.topic_name}</p>
      <div id="threadCardContent">
        <p>
          By{' '}
          <Link to={`/profile/${content.username}/1`}>{content.username}</Link> - {time} - <i className="far fa-thumbs-up" /> {content.points}
        </p>
      </div>
    </div>
  );
}
