import React from 'react';
import '../../styles/utility/Button.css';
import { Link } from 'react-router-dom';

function Button(props) {
  return (
    <Link to={`/${props.url}`}>
      <button className={`button ${props.color}`}>{props.text}</button>
    </Link>
  );
}

export default Button;
